import { jsx } from "react/jsx-runtime";
import { TokenPORTX as TokenPORTX$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenPORTX = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "PORTX", "data-name": "TokenPORTX", ...props, children: /* @__PURE__ */ jsx(TokenPORTX$1, { variant }) });
  }
);
TokenPORTX.displayName = "TokenPORTX";
Object.assign(TokenPORTX, { isGdsIcon: true });
export {
  TokenPORTX
};
